#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "ppport.h"

#include <vuc/libvuc.h>

#include "const-c.inc"

#include "vuc_xs.h"

MODULE = Vuc		PACKAGE = Vuc		

INCLUDE: const-xs.inc


int
init(default_rate, xml_data, argv)
    int default_rate;
    const char * xml_data;
    SV * argv;
  INIT:
    I32 a_c= 0;
    char ** a_v;
    int n;
    if ((!SvROK(argv))
        || (SvTYPE(SvRV(argv)) != SVt_PVAV)
        || ((a_c= av_len((AV *)SvRV(argv))) < 0))
      XSRETURN_UNDEF;
  CODE:
    a_v= g_alloca(++a_c*sizeof(char *));
    for (n= 0; n<a_c; n++) {
      STRLEN l;
      a_v[n]= SvPV(*av_fetch((AV *)SvRV(argv), n, 0), l);
    }
    RETVAL = (vuc_init(VUC_FLG_NO_GTK_INIT, default_rate, -1, xml_data, a_c, a_v));
  OUTPUT:
    RETVAL


int go(GtkBuilder * builder)
  CODE:
    RETVAL= vuc_go(builder);
  OUTPUT:
    RETVAL


int
exit()
  CODE:
    RETVAL= vuc_exit();
  OUTPUT:
    RETVAL


